> For the complete documentation index, see [llms.txt](https://docs.chamilo.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chamilo.org/2.x-nl/beheerdershandleiding/admin-guide/platform-settings/crons-settings.md).

# Cron Jobs

Configuratie van geplande taken (cron-taken) die met Chamilo worden meegeleverd.

Deze instellingen zijn toegankelijk via **Beheer > Configuratie-instellingen > Cron Jobs**. Deze categorie bevat **3 instellingen**, hieronder vermeld met de titel en opmerking zoals opgenomen in de instellingenfixtures van het platform (`SettingsCurrentFixtures.php`).

> De variabelenaam in de code wordt weergegeven in monospace. Gebruik deze bij het scripten via de API of wanneer u deze instellingen op globaal niveau wilt wijzigen door [`config/settings_override.yaml`](https://github.com/chamilo/chamilo-lms/wiki/Configurations#configsettings_overridesyaml) te bewerken.

## Instellingen

### `cron_remind_course_expiration_activate`

**Herinnering aan cursusverloop cron**

Schakel de Herinnering aan cursusverloop cron in

*Standaard: `false`*

### `cron_remind_course_expiration_frequency`

**Frequentie voor de Herinnering aan cursusverloop cron**

Aantal dagen vóór het verlopen van de cursus om een herinneringsmail te sturen

### `cron_remind_course_finished_activate`

**Melding cursus voltooid verzenden**

Of een e-mail naar studenten moet worden verzonden wanneer hun cursus (sessie) is voltooid. Hiervoor moeten cron-taken worden geconfigureerd (zie de map main/cron/).

*Standaard: `false`*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chamilo.org/2.x-nl/beheerdershandleiding/admin-guide/platform-settings/crons-settings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
